<?php

/**
* benefit Settings
*
* @package bootstrap_coach
*/
add_action( 'customize_register', 'bootstrap_coach_customize_benefit_option' );
function bootstrap_coach_customize_benefit_option( $wp_customize )
{
    $wp_customize->add_section( 'bootstrap_coach_benefit_section', array(
        'title' => esc_html__( 'Benefit Section', 'bootstrap-coach' ),
        'panel' => 'bootstrap_coach_homepage_panel',
    ) );
    $wp_customize->add_setting( 'bootstrap_coach_benefit_section_upgrade_to_pro', array(
        'sanitize_callback' => null,
    ) );
    $wp_customize->add_control( new Bootstrap_Coach_Control_Upgrade_To_Pro( $wp_customize, 'bootstrap_coach_benefit_section_upgrade_to_pro', array(
        'section'     => 'bootstrap_coach_benefit_section',
        'settings'    => 'bootstrap_coach_benefit_section_upgrade_to_pro',
        'title'       => __( 'Include a Benefit section to illustrate how your customers benefit from your services.', 'bootstrap-coach' ),
        'items'       => array(
        'one'   => array(
        'title' => __( 'Captivating Benefit heading', 'bootstrap-coach' ),
    ),
        'two'   => array(
        'title' => __( 'Detailed Benefit description', 'bootstrap-coach' ),
    ),
        'three' => array(
        'title' => __( 'Attach Benefit image that leaves an impression', 'bootstrap-coach' ),
    ),
        'four'  => array(
        'title' => __( 'Captivating graph demonstrating benefits with numberical data', 'bootstrap-coach' ),
    ),
    ),
        'button_url'  => esc_url( 'https://thebootstrapthemes.com/coach/#free-vs-pro' ),
        'button_text' => __( 'Upgrade Now', 'bootstrap-coach' ),
    ) ) );
}
